Subject: bug#65461: Cannot compile any Rust projects

From: Jonas Møller <[email-masked]>
Date: Fri, 25 Aug 2023 13:30:00 +0000

I can still reproduce this with:

guix shell —container rust rust-cargo
cargo new hello
cd hello
cargo build

Mvh Jonas Møller

On Fri, Aug 25, 2023 at 15:58, Josselin Poiret <[[email-masked]](mailto:On Fri, Aug 25, 2023 at 15:58, Josselin Poiret <<a href=)> wrote:

> Hi Jonas,
>
> Jonas via Bug reports for GNU Guix <[email-masked]> writes:
>
>> Hi! Compiling any Rust projects with cargo/rustc gives me:
>>
>> error: linking with
>> `/gnu/store/5lqhcv91ijy82p92ac6g5xw48l0lwwz4-gcc-11.3.0/bin/gcc` failed:
>> exit status: 1
>
> Please make sure you add simple reproducers to your bug reports so that
> people can check that the bug does get resolved by proposed patches. I
> can't reproduce this with a simple `rustc hello.rs` where `hello.rs` is
> the simplest hello world I could find.
>
> Best,
> --
> Josselin Poiret